<template>
  <div class="account">
    <h4>Your profile</h4>
    <div class="row">
      <p>Username</p>
      <p>{{ user.name }}</p>
    </div>
    <div class="row">
      <p>Total played games</p>
      <p>{{ player.totalGames }}</p>
    </div>
    <div class="row">
      <p>Active games</p>
      <p>{{ player.activeGames }}</p>
    </div>
    <div class="row" v-if="player">
      <p>Total kills</p>
      <p>{{ player.totalKills }}</p>
    </div>
    <div class="row" v-if="player">
      <p>Total wins</p>
      <p>{{ player.wins }}</p>
    </div>
  </div>
</template>

<script>
import store from "../../store/auth.js";
import axios from "axios";

export default {
  data() {
    return {
      player: {},
    };
  },
  async created() {
    this.player = (await axios.get(`/api/player`)).data.data;
  },
  computed: {
    user() {
      return store.getters["auth/getUser"];
    },
  },
};
</script>

<style lang="scss">
.account {
  background-color: #09639b;
  position: absolute;
  right: 0;
  top: 3.1rem;
  z-index: 1;
  width: 15rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  h4 {
    color: white;
    font-weight: 500;
  }
  .row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    margin: 0.3rem 0rem;
    width: 80%;
    color: white;
    font-size: 0.8rem;
  }
}
</style>
